import Tkinter
from PIL import ImageDraw, Image, ImageTk
from sys import argv

window = Tkinter.Tk(className="logo")

image = Image.open(sys.argv[1] if len(argv) >=2 else "logo.png")
canvas = Tkinter.Canvas(window, width=image.size[0], height=image.size[1])
canvas.pack()
image_tk = ImageTk.PhotoImage(image)
canvas.create_image(image.size[0]//2, image.size[1]//2, image=image_tk)
prevx=0
prevy=0
xarraysmall=[]
xarraylarge=[]
yarraysmall=[]
yarraylarge=[]

def callback(event):
    handleclick(event.x,event.y)
def handleclick(x,y):


    #x=x/2
    #y=y/2
    xarraylarge.append(x/256)
    yarraylarge.append(y/256)
    xarraysmall.append(x%256)
    yarraysmall.append(y%256)
            
    print x
    print y
            



canvas.bind("<Button-1>", callback)
Tkinter.mainloop()
diffx=0
diffy=0

print "xarraylarge: "+str(xarraylarge)
print "xarraysmall: "+str(xarraysmall)
print "yarraylarge: "+str(yarraylarge)
print "yarraysmall: "+str(yarraysmall)
print "xoffset: " + str(1496-(max(xarraylarge)*256))
print "yoffset: " + str(1496-(max(yarraylarge)*256))
print "length: "+str(len(xarraylarge))
